> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Credit Note Line Item Groups

> List all Credit Note Line Item Groups



## OpenAPI

````yaml invoices.latest.product.live GET /credit-notes/{creditnote}/line-item-groups
openapi: 3.0.0
info:
  title: Invoices
  description: Create and issue invoices
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /credit-notes/{creditnote}/line-item-groups:
    servers: []
    parameters: []
    get:
      tags:
        - Credit Note Line Items
      summary: List all Credit Note Line Item Groups
      description: List all Credit Note Line Item Groups
      operationId: getCreditNotesByCreditnoteLineItemGroups
      parameters:
        - name: creditnote
          in: path
          description: The CreditNote ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
        - name: sortOrder
          in: query
          description: >-
            Sort order. Default: DESC (descending, most often used for reverse
            chronological sorting).
          required: false
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListCreditNoteLineItemGroupEndpointProductListCreditNoteLineItemGroupPaginatedResponseModel
                example:
                  items:
                    - id: e5bc0f12-4bc1-f821-bc2d-04639a16f9ec
                      creditNoteId: af60cab3-812d-4250-a051-0fb7133a00c7
                      lineItemGroupId: af60cab3-812d-4250-a051-0fb7133a00c7
                      title: Users
                      description: Credit note for users
                      index: 2
                      netTotal: '51.20'
                      totalTax: '2.50'
                      grossTotal: '101.23'
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                ListCreditNoteLineItemGroupEndpointProductListCreditNoteLineItemGroupPaginatedResponseModel:
                  summary: ''
                  value:
                    items:
                      - id: e5bc0f12-4bc1-f821-bc2d-04639a16f9ec
                        creditNoteId: af60cab3-812d-4250-a051-0fb7133a00c7
                        lineItemGroupId: af60cab3-812d-4250-a051-0fb7133a00c7
                        title: Users
                        description: Credit note for users
                        index: 2
                        netTotal: '51.20'
                        totalTax: '2.50'
                        grossTotal: '101.23'
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListCreditNoteLineItemGroupEndpointProductListCreditNoteLineItemGroupPaginatedResponseModel:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: e5bc0f12-4bc1-f821-bc2d-04639a16f9ec
            creditNoteId: af60cab3-812d-4250-a051-0fb7133a00c7
            lineItemGroupId: af60cab3-812d-4250-a051-0fb7133a00c7
            title: Users
            description: Credit note for users
            index: 2
            netTotal: '51.20'
            totalTax: '2.50'
            grossTotal: '101.23'
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: CreditNoteLineItemGroups
          example:
            - id: e5bc0f12-4bc1-f821-bc2d-04639a16f9ec
              creditNoteId: af60cab3-812d-4250-a051-0fb7133a00c7
              lineItemGroupId: af60cab3-812d-4250-a051-0fb7133a00c7
              title: Users
              description: Credit note for users
              index: 2
              netTotal: '51.20'
              totalTax: '2.50'
              grossTotal: '101.23'
          items:
            $ref: >-
              #/components/schemas/ListCreditNoteLineItemGroupEndpointProductListCreditNoteLineItemGroupResponseModel
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    ListCreditNoteLineItemGroupEndpointProductListCreditNoteLineItemGroupResponseModel:
      required:
        - creditNoteId
        - grossTotal
        - id
        - index
        - netTotal
        - title
        - totalTax
      type: object
      example:
        id: e5bc0f12-4bc1-f821-bc2d-04639a16f9ec
        creditNoteId: af60cab3-812d-4250-a051-0fb7133a00c7
        lineItemGroupId: af60cab3-812d-4250-a051-0fb7133a00c7
        title: Users
        description: Credit note for users
        index: 2
        netTotal: '51.20'
        totalTax: '2.50'
        grossTotal: '101.23'
      properties:
        id:
          type: string
          description: Credit Note Line Item Group ID
          example: e5bc0f12-4bc1-f821-bc2d-04639a16f9ec
        creditNoteId:
          type: string
          description: Credit Note ID
          example: af60cab3-812d-4250-a051-0fb7133a00c7
        lineItemGroupId:
          type: string
          description: Line Item Group ID
          example: af60cab3-812d-4250-a051-0fb7133a00c7
        title:
          type: string
          description: Credit Note Line Item Group Title
          example: Users
        description:
          type: string
          description: Credit Note Line Item Group Description
          example: Credit note for users
        index:
          type: integer
          description: Index (for maintaining order)
          example: 2
        netTotal:
          type: string
          description: Net total
          example: '51.20'
        totalTax:
          type: string
          description: Total tax
          example: '2.50'
        grossTotal:
          type: string
          description: Gross total
          example: '101.23'
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          example: 10

````